Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::MayaErrorOutput Class Reference

Mayaエラー出力. More...

`#include <MayaErrorOutput.h>`

List of all members.

## Static Public Member Functions
void | initialize ()
| 初期化
void | mayaMessageOutput (const char *message)
| メッセージ出力
void | mayaMessageOutput (const String &message)
| メッセージ出力
void | mayaMessageOutput (const MString &message)
| メッセージ出力
void | mayaErrorOutput (const char *message, const char *fileName, int lineNumber)
| エラー出力
void | mayaErrorOutput (const String &message, const char *fileName, int lineNumber)
| エラー出力
void | mayaErrorOutput (const MString &message, const char *fileName, int lineNumber)
| エラー出力
bool | mayaErrorCheck (const MStatus &status, const char *fileName, int lineNumber)
| エラーチェック
bool | mayaOpenGLErrorCheck (const char *fileName, int lineNumber)
| OpenGLエラーチェック.
void | errorHandler (const char *message)
| Maya用エラーハンドラ.

## Detailed Description

Mayaエラー出力.

Definition at line 64 of file MayaErrorOutput.h.

## Member Function Documentation

void LampForMaya::MayaErrorOutput::errorHandler | ( | const char * | message | ) | `[static]`

  | Maya用エラーハンドラ. Parameters:
  message | エラーメッセージ
Definition at line 113 of file MayaErrorOutput.cpp.

bool LampForMaya::MayaErrorOutput::mayaErrorCheck | ( | const MStatus & | status,
|  | const char * | fileName,
|  | int | lineNumber
| ) | `[static]`

  | エラーチェック Parameters:
  status | ステータス
  fileName | ファイル名
  lineNumber | ライン番号
Returns: エラーでなければtrue Definition at line 85 of file MayaErrorOutput.cpp.

void LampForMaya::MayaErrorOutput::mayaErrorOutput | ( | const MString & | message,
|  | const char * | fileName,
|  | int | lineNumber
| ) | `[static]`

  | エラー出力 Parameters:
  message | エラーメッセージ
  fileName | ファイル名
  lineNumber | ライン番号
Definition at line 76 of file MayaErrorOutput.cpp.

void LampForMaya::MayaErrorOutput::mayaErrorOutput | ( | const String & | message,
|  | const char * | fileName,
|  | int | lineNumber
| ) | `[static]`

  | エラー出力 Parameters:
  message | エラーメッセージ
  fileName | ファイル名
  lineNumber | ライン番号
Definition at line 67 of file MayaErrorOutput.cpp.

void LampForMaya::MayaErrorOutput::mayaErrorOutput | ( | const char * | message,
|  | const char * | fileName,
|  | int | lineNumber
| ) | `[static]`

  | エラー出力 Parameters:
  message | エラーメッセージ
  fileName | ファイル名
  lineNumber | ライン番号
Definition at line 59 of file MayaErrorOutput.cpp.

void LampForMaya::MayaErrorOutput::mayaMessageOutput | ( | const MString & | message | ) | `[static]`

  | メッセージ出力 Parameters:
  message | メッセージ
Definition at line 53 of file MayaErrorOutput.cpp.

void LampForMaya::MayaErrorOutput::mayaMessageOutput | ( | const String & | message | ) | `[static]`

  | メッセージ出力 Parameters:
  message | メッセージ
Definition at line 46 of file MayaErrorOutput.cpp.

void LampForMaya::MayaErrorOutput::mayaMessageOutput | ( | const char * | message | ) | `[static]`

  | メッセージ出力 Parameters:
  message | メッセージ
Definition at line 39 of file MayaErrorOutput.cpp.

bool LampForMaya::MayaErrorOutput::mayaOpenGLErrorCheck | ( | const char * | fileName,
|  | int | lineNumber
| ) | `[static]`

  | OpenGLエラーチェック. Parameters:
  fileName | ファイル名
  lineNumber | ライン番号
Returns: エラーでなければtrue Definition at line 98 of file MayaErrorOutput.cpp.

The documentation for this class was generated from the following files:

- MayaErrorOutput.h
- MayaErrorOutput.cpp